package cn.com.countrygarden.bi.main.model.common;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Column;

/**
 * Created by chenweijiang on 2017/9/21.
 */
public class CommData implements Serializable{
    private Integer id;
    private String serialNumber;
    private String projectName;
    private String organId;
    private String organName;
    private String takeOverOrganId;
    private String takeOverOrganName;
    private String projectType;
    private String projectNature;
    private String projectNatureCode;
    private String cooperationType;
    private String status;
    private BigDecimal planningArea;
    private BigDecimal contractArea;
    private BigDecimal chargeArea;
    private String contact;
    private String projectTypeCode;
    private String introduction;
    private String prophase;
    private String cooperationTypeCode;
    private String scheduleName;
    /**
     * 流程进度
     */
    private String projectPlanCode;
    /**
     * 大类
     */
    private Integer generalType;
    /**
     * 合作方名称/合作方企业名称
     */
    
    private String cooperationfName;
    /**
     * 合同年饱和收入金额
     */

    private BigDecimal saturation;
    /**
     * 合作方联系人及联系电话
     */
   
    private String cooperationfContact;
    /**
     * 合作方企业纳税人识别号
     */
  
    private String cooperationfNumber;
    /**
     * 合作股权设计比例
     */
    
    private String proportion;
    /**
     *  目标企业在管项目数量
     */
   
    private Integer projectNumber;
    /**
     *  目标企业在管建筑面积
     */
    
    private BigDecimal targetArea;
    /**
     *  目标企业上一年主营业务收入
     */
   
    private BigDecimal  targetIncome;
    /**
     * 项目进展动态
     */
 
    private String schedule;
  
    private String region;

    private String city;
  
    private String remark;
    
    private Byte additionalCharge;
    
    
    public String getScheduleName() {
		return scheduleName;
	}

	public void setScheduleName(String scheduleName) {
		this.scheduleName = scheduleName;
	}

	public String getRegion() {
		return region;
	}

	public void setRegion(String region) {
		this.region = region;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Byte getAdditionalCharge() {
		return additionalCharge;
	}

	public void setAdditionalCharge(Byte additionalCharge) {
		this.additionalCharge = additionalCharge;
	}

	public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getTakeOverOrganName() {
        return takeOverOrganName;
    }

    public void setTakeOverOrganName(String takeOverOrganName) {
        this.takeOverOrganName = takeOverOrganName;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    public String getCooperationType() {
        return cooperationType;
    }

    public void setCooperationType(String cooperationType) {
        this.cooperationType = cooperationType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getProjectNatureCode() {
        return projectNatureCode;
    }

    public void setProjectNatureCode(String projectNatureCode) {
        this.projectNatureCode = projectNatureCode;
    }

    public BigDecimal getPlanningArea() {
        return planningArea;
    }

    public void setPlanningArea(BigDecimal planningArea) {
        this.planningArea = planningArea;
    }

    public BigDecimal getContractArea() {
        return contractArea;
    }

    public void setContractArea(BigDecimal contractArea) {
        this.contractArea = contractArea;
    }

    public BigDecimal getChargeArea() {
        return chargeArea;
    }

    public void setChargeArea(BigDecimal chargeArea) {
        this.chargeArea = chargeArea;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getProjectTypeCode() {
        return projectTypeCode;
    }

    public void setProjectTypeCode(String projectTypeCode) {
        this.projectTypeCode = projectTypeCode;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getCooperationTypeCode() {
        return cooperationTypeCode;
    }

    public void setCooperationTypeCode(String cooperationTypeCode) {
        this.cooperationTypeCode = cooperationTypeCode;
    }

    public String getTakeOverOrganId() {
        return takeOverOrganId;
    }

    public void setTakeOverOrganId(String takeOverOrganId) {
        this.takeOverOrganId = takeOverOrganId;
    }

    public String getProphase() {
        return prophase;
    }

    public void setProphase(String prophase) {
        this.prophase = prophase;
    }

	public Integer getGeneralType() {
		return generalType;
	}

	public void setGeneralType(Integer generalType) {
		this.generalType = generalType;
	}

	public String getCooperationfName() {
		return cooperationfName;
	}

	public void setCooperationfName(String cooperationfName) {
		this.cooperationfName = cooperationfName;
	}

	public BigDecimal getSaturation() {
		return saturation;
	}

	public void setSaturation(BigDecimal saturation) {
		this.saturation = saturation;
	}



	public String getCooperationfContact() {
		return cooperationfContact;
	}

	public void setCooperationfContact(String cooperationfContact) {
		this.cooperationfContact = cooperationfContact;
	}

	public String getCooperationfNumber() {
		return cooperationfNumber;
	}

	public void setCooperationfNumber(String cooperationfNumber) {
		this.cooperationfNumber = cooperationfNumber;
	}

	public String getProportion() {
		return proportion;
	}

	public void setProportion(String proportion) {
		this.proportion = proportion;
	}

	public Integer getProjectNumber() {
		return projectNumber;
	}

	public void setProjectNumber(Integer projectNumber) {
		this.projectNumber = projectNumber;
	}

	public BigDecimal getTargetArea() {
		return targetArea;
	}

	public void setTargetArea(BigDecimal targetArea) {
		this.targetArea = targetArea;
	}

	public BigDecimal getTargetIncome() {
		return targetIncome;
	}

	public void setTargetIncome(BigDecimal targetIncome) {
		this.targetIncome = targetIncome;
	}

	public String getSchedule() {
		return schedule;
	}

	public void setSchedule(String schedule) {
		this.schedule = schedule;
	}

	public String getProjectPlanCode() {
		return projectPlanCode;
	}

	public void setProjectPlanCode(String projectPlanCode) {
		this.projectPlanCode = projectPlanCode;
	}
    
}
